*
* CALCULATION OF FACTOR SCORES AND INDEX VALUES FOR THE 
* NATIONAL DEPRESSION INDEX.
* .

*   Items from the original version of the K-10 are:
*
* 1.	Did you feel tired out for no good reason.
* 2.	Did you feel nervous.
* 3.	Did you feel so nervous that nothing could calm you down.
* 4.	Did you feel hopeless.
* 5.	Did you feel restless or fidgety.
* 6.	Did you feel so restless that you could not sit still.
* 7.	Did you feel depressed.
* 8.	Did you feel that everything was an effort.
* 9.	Did you feel so sad that nothing could cheer you up.
* 10.	Did you feel worthless.
*
* In the syntax below, these are variables K1 to K10.
*.

*
* Calculate pointer value which gives a unique number for each possible response
*   pattern.
*.
COMPUTE pointer = -3905 + 3125*K3 + 625* K4 + 125* K6 + 25* K7 + 5* K9 + K10.
FORMATS pointer (f6.0).
VAR LABEL pointer "Pointer to factor score value unique to response pattern".
EXECUTE.
*
* Sort cases in ascending value of pointer.  (Required for lookup procedure.)
*.
SORT CASES BY  pointer (A) .
*
* The 'Match Files' command is used with the TABLE subcommand so that file 
* NDI_values.sav acts as a look up table.
* In this example, the look up file is located in the same directory as the data,
* so C:NDI_values.sav adequately locates the file.
* If the files are not in the same directories, this statement must be changed 
* or the DATA->MERGE FILES->ADD VARIABLES
* dialogue used to specify the look up file and complete the matching.
*.
MATCH FILES /FILE=*  /TABLE='C:NDI_values 16 Jan 2011.sav' /BY pointer .
EXECUTE.
*
* Sort cases into original order on data file. NB Your ID variable and order 
* will probably be different.
*.
SORT CASES BY  ID (A) .
*
* You may wish to delete the pointer variable.  It has no further use and is not
*  related to the factor score or index value.
*.
DELETE VARIABLES pointer.
*
* The NDI factor scores or values are now available for use.  The value of the 
* index for a group of people is simply the mean of the individual values.
*.


